# petsc4py.PETSc.Device.Type

class petsc4py.PETSc.Device.Type

  Bases: `object`

  The type of device.

  See also

  `Device`, `Device.create`, `Device.getDeviceType`, `Device.type`, `PetscDeviceType`

  Attributes Summary

  `CUDA` | Constant `CUDA` of type `int`
  `DEFAULT` | Constant `DEFAULT` of type `int`
  `HIP` | Constant `HIP` of type `int`
  `HOST` | Constant `HOST` of type `int`
  `SYCL` | Constant `SYCL` of type `int`

  Attributes Documentation

  CUDA: int = CUDA

    Constant `CUDA` of type `int`

  DEFAULT: int = DEFAULT

    Constant `DEFAULT` of type `int`

  HIP: int = HIP

    Constant `HIP` of type `int`

  HOST: int = HOST

    Constant `HOST` of type `int`

  SYCL: int = SYCL

    Constant `SYCL` of type `int`